﻿.index-featured-box{
    width: 100%;
    display: block;
    position: relative;
    overflow: hidden;
    box-sizing: border-box;
}
.index-featured-info-box{
    width: 100%;
    display: block;
    font-size: 0;
}
.index-featured-info{
    width: 20%;
    display: inline-block;
    vertical-align: top;
}
.index-featured-info-img-box{
    width: 100%;
    height: calc((520 / 384) * (100vw * 0.2));
    display: block;
    position: relative;
    overflow: hidden;
    transition: all .3s linear;
}
.index-featured-info-text-box{
    box-sizing: border-box;
    padding: 15px 30px;
    transition: all .3s linear;
}
.index-featured-info-name{
    font-family: 'Noto Sans TC';
    font-weight: 700;
    font-size: 18px;
    color: #000;
    letter-spacing: 0.06em;
    line-height: 26px;
    overflow: hidden;
    text-overflow: ellipsis;
    white-space: nowrap;
}
.index-featured-info-style{
    font-family: 'Noto Sans TC';
    font-weight: 300;
    font-size: 16px;
    color: #666;
    letter-spacing: 0.06em;
    line-height: 26px;
    overflow: hidden;
    text-overflow: ellipsis;
    white-space: nowrap;
}
.index-featured-info-text{
    font-family: 'Noto Sans TC';
    font-weight: 300;
    font-size: 16px;
    color: #666;
    letter-spacing: 0.06em;
    line-height: 26px;
    max-height: 52px;
    overflow : hidden;
    text-overflow: ellipsis;
    display: -webkit-box;
    -webkit-line-clamp: 2;
    -webkit-box-orient: vertical;
    margin-top: 10px;
}



@media only screen and (max-width: 1200px){
    .index-featured-info-text-box{
        padding: 15px 15px;
    }
}
@media only screen and (max-width: 1000px){
    .index-featured-info-name{
        font-size: 16px;
        line-height: 22px;
    }
    .index-featured-info-style{
        font-size: 14px;
        line-height: 22px;
    }
    .index-featured-info-text{
        font-size: 14px;
        line-height: 22px;
        max-height: 44px;
    }
}
@media only screen and (max-width: 768px){
    .index-featured-info{
        width: calc((100vw - 80px) * 0.3333);
    }
    .index-featured-info-img-box{
        height: calc((520 / 384) * ((100vw - 80px) * 0.3333));
    }

    .index-featured-info-box .slick-prev{
        width: 40px;
        height: calc(100% - 106px);
        top: 0;
        -webkit-transform: none;
        -ms-transform: none;
        transform: none;
        z-index: 1;
        left: 0;
        background-color: rgba(255, 255, 255, 0.4);
    }
    .index-featured-info-box .slick-next{
        width: 40px;
        height: calc(100% - 106px);
        top: 0;
        -webkit-transform: none;
        -ms-transform: none;
        transform: none;
        z-index: 1;
        right: 0;
        background-color: rgba(255, 255, 255, 0.4);
    }
    .index-featured-info-box .slick-prev::before{
        content: '\f053';
        font-family: 'Font Awesome 5 Free';
        font-weight: 700;
        display: block;
        opacity: 1;
        color: #000;
        font-size: 26px;
    }
    .index-featured-info-box .slick-next::before{
        content: '\f054';
        font-family: 'Font Awesome 5 Free';
        font-weight: 700;
        display: block;
        opacity: 1;
        color: #000;
        font-size: 26px;
    }
}
@media only screen and (max-width: 550px){
    .index-featured-info-box .slick-prev{
        height: calc(100% - 91px);
    }
    .index-featured-info-box .slick-next{
        height: calc(100% - 91px);
    }
    .index-featured-info-text-box{
        padding: 10px 10px;
    }
    .index-featured-info-text{
        margin-top: 5px;
    }
    .index-featured-info{
        width: calc(100vw - 80px) ;
    }
    .index-featured-info-img-box{
        height: calc((520 / 384) * (100vw - 80px));
    }
}


@media only screen and (min-width: 769px){
    .index-featured-info:hover .main-bg{
        transform: scale(1.1)
    }
    .index-featured-info:hover .index-featured-info-text-box{
        background-color: rgba(2, 51, 101, 0.1);
    }


    @keyframes featuredRotateY {
        from {
            transform: rotateY(90deg);
        }
    
        to {
            transform: rotateY(0deg);
        }
    }
    .index-featured-info{
        transform: rotateY(90deg);
    }
    .index-featured-info.anima:nth-child(1){
        animation: featuredRotateY .4s linear 0s 1 both;
    }
    .index-featured-info.anima:nth-child(2){
        animation: featuredRotateY .4s linear .1s 1 both;
    }
    .index-featured-info.anima:nth-child(3){
        animation: featuredRotateY .4s linear .2s 1 both;
    }
    .index-featured-info.anima:nth-child(4){
        animation: featuredRotateY .4s linear .3s 1 both;
    }
    .index-featured-info.anima:nth-child(5){
        animation: featuredRotateY .4s linear .4s 1 both;
    }

    .index-featured-info .index-featured-info-text-box{
        opacity: 0;
    }
    .index-featured-info.anima .index-featured-info-text-box{
        animation: fade .4s ease .8s 1 both;
    }
}